Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util.bitmap
Class JAIMonochromeBitmapConverter

    java.lang.Object
      org.apache.fop.util.bitmap.JAIMonochromeBitmapConverter

All Implemented Interfaces:
  MonochromeBitmapConverter

    public class JAIMonochromeBitmapConverter

extends java.lang.Object
implements MonochromeBitmapConverter

Implementation of the MonochromeBitmapConverter which uses Java Advanced Imaging (JAI) to convert grayscale bitmaps to monochrome bitmaps. JAI provides better dithering options including error diffusion dithering.

If you call setHint("quality", "true") on the instance you can enabled error diffusion dithering which produces a nicer result but is also a lot slower.

Constructor Summary
`JAIMonochromeBitmapConverter()`

Method Summary
`java.awt.image.RenderedImage` | `convertToMonochrome(java.awt.image.BufferedImage img)` Converts a bitmap image to a monochrome (1-bit) b/w bitmap image.
`void` | `setHint(java.lang.String name, java.lang.String value)` Sets a hint to the implementation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JAIMonochromeBitmapConverter

    public JAIMonochromeBitmapConverter()

Method Detail

### setHint

    public void setHint(java.lang.String name,
                        java.lang.String value)

  Sets a hint to the implementation

  Specified by:
    `setHint` in interface `MonochromeBitmapConverter`
  Parameters:
    `name` - the name of the hint
    `value` - the value

### convertToMonochrome

    public java.awt.image.RenderedImage convertToMonochrome(java.awt.image.BufferedImage img)

  Converts a bitmap image to a monochrome (1-bit) b/w bitmap image.

  Specified by:
    `convertToMonochrome` in interface `MonochromeBitmapConverter`
  Parameters:
    `img` - the original image
  Returns:
    the converted monochrome image

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.